Subject: [Dime] New Liaison Statement, "Reply to the LS to IETF for clarification on RFC 4006 for Diameter base protocol"

From: Liaison Statement Management Tool <[email-masked]>
Date: Tue, 20 Sep 2016 07:44:57 -0700

Title: Reply to the LS to IETF for clarification on RFC 4006 for Diameter base protocol
Submission Date: 2016-09-20
URL of the IETF Web page: https://datatracker.ietf.org/liaison/1493/

From: "Lionel Morand" <[email-masked]>
To: [email-masked]
Cc: Benoit Claise <[email-masked]>,Lionel Morand <[email-masked]>,Joel Jaeggli <[email-masked]>,Jouni Korhonen <[email-masked]>,Diameter Maintenance and Extensions Discussion List <[email-masked]>,Gonzalo Camarillo <[email-masked]>,Stephen Farrell <[email-masked]>,Georg Mayer <[email-masked]>,3GPP TSG CT WG4 <[email-masked]>,3GPP TSG CT WG3 <[email-masked]>
Response Contacts: Jouni Korhonen <[email-masked]>,Lionel Morand <[email-masked]>
Technical Contacts: 
Purpose: In response

Referenced liaison: LS to IETF for clarification on RFC 4006 for Diameter Base Protocol (https://datatracker.ietf.org/liaison/1470/)

Body: The IETF DIME WG thanks the 3GPP SA5 WG for their LS and query regarding the IETF RFC 4006 (https://datatracker.ietf.org/liaison/1470/).

The IETF DIME WG has discussed both options raised in the LS from 3GPP SA5:

1) Is IETF RFC 4006 planned to be updated in order to rely on IETF RFC 6733 as the new Diameter Base protocol?

2) If not, are there any recommendations from IETF on how to address the implicit reference to IETF RFC 3588 as Diameter Base Protocol for 3GPP SA5 Diameter Online charging through use of IETF RFC 4006?   

and the decision was made to update of the IETF RFC 4006 as per the option 1). 

The aim of this update is to:
- align the Diameter Credit-Control application specification with the IETF RFC 6733,
- fix existing known issues in the current specification,
- comply with the recommendations given in the IETF RFC 7423 on the design of Diameter application. 

The time line for the completion of the RFC 4006 update is set to November 2017.

As a reminder, the IETF RFC 6733 does not define a new Diameter base protocol but is a new version of the specification defining the Diameter base protocol. The IETF RFC 3588 is obsoleted by the IETF RFC 6733, as defined in the IETF
RFC 2223:

   Obsoleted-by

      To be used to refer to the newer document(s) that replaces the
      older document.

In the present case, any document using the IETF RFC 3588 as reference for the Diameter base protocol should be updated to refer to the new IETF RFC 6733. Therefore, as a general guideline, the IETF DIME WG recommends 3GPP WGs to follow this recommendation in their specifications when applicable.
The same recommendation will apply for the revision of the IETF RFC 4006 when published by the IETF as for any new RFC obsoleting an old RFC.

Attachments:

No document has been attached